Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1570252 - [abrt] qt-creator: QMetaObjectPrivate::disconnect(): qtcreator killed by SIGSEGV
Summary: [abrt] qt-creator: QMetaObjectPrivate::disconnect(): qtcreator killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: qt-creator
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Itamar Reis Peixoto
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:51fd6fb41507e3ad28a9f51ba58...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-21 08:00 UTC by Jonas Kulla
Modified: 2018-11-30 21:09 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 21:09:31 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (88.78 KB, text/plain)
2018-04-21 08:00 UTC, Jonas Kulla
no flags Details
File: cgroup (289 bytes, text/plain)
2018-04-21 08:00 UTC, Jonas Kulla
no flags Details
File: core_backtrace (30.47 KB, text/plain)
2018-04-21 08:00 UTC, Jonas Kulla
no flags Details
File: cpuinfo (1.13 KB, text/plain)
2018-04-21 08:00 UTC, Jonas Kulla
no flags Details
File: dso_list (20.43 KB, text/plain)
2018-04-21 08:00 UTC, Jonas Kulla
no flags Details
File: environ (1.48 KB, text/plain)
2018-04-21 08:00 UTC, Jonas Kulla
no flags Details
File: exploitable (82 bytes, text/plain)
2018-04-21 08:00 UTC, Jonas Kulla
no flags Details
File: limits (1.29 KB, text/plain)
2018-04-21 08:00 UTC, Jonas Kulla
no flags Details
File: maps (100.57 KB, text/plain)
2018-04-21 08:00 UTC, Jonas Kulla
no flags Details
File: mountinfo (3.67 KB, text/plain)
2018-04-21 08:00 UTC, Jonas Kulla
no flags Details
File: open_fds (3.86 KB, text/plain)
2018-04-21 08:00 UTC, Jonas Kulla
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2018-04-21 08:00 UTC, Jonas Kulla
no flags Details

Description Jonas Kulla 2018-04-21 08:00:29 UTC
Description of problem:
I configured my project, changed a couple of build settings, when I realized I had the wrong kit selected.
Didn't spot a way to reconfigure from the GUI, so I closed the project, deleted the .pro.user and opened the project again.
(All while not closing QtCreator)

Version-Release number of selected component:
qt-creator-4.6.0-1.fc27

Additional info:
reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        qtcreator
crash_function: QMetaObjectPrivate::disconnect
executable:     /usr/bin/qtcreator
journald_cursor: s=805978368f5c4b57a7a0dd5db554f452;i=10905f;b=2657a8b0f5a14868ab31670526cc8479;m=68f6bb18c;t=56a56f7777696;x=6b90ccf90e5029e8
kernel:         4.15.15-300.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 QMetaObjectPrivate::disconnect at kernel/qobject.cpp:3424
 #1 QObject::disconnectImpl at kernel/qobject.cpp:4980
 #2 QObject::disconnect<void (TextEditor::ICodeStylePreferences::*)(TextEditor::TabSettings const&), void (TextEditor::TextDocument::*)(TextEditor::TabSettings const&)> at /usr/include/qt5/QtCore/qobject.h:372
 #3 TextEditor::TextEditorWidget::setCodeStyle at texteditor.cpp:5930
 #4 ProjectExplorer::EditorConfiguration::configureEditor at editorconfiguration.cpp:250
 #5 ProjectExplorer::SessionManager::configureEditors at session.cpp:653
 #6 ProjectExplorer::SessionManager::addProject at session.cpp:395
 #7 ProjectExplorer::ProjectExplorerPlugin::openProjects at projectexplorer.cpp:1842
 #8 ProjectExplorer::ProjectExplorerPlugin::openProject at projectexplorer.cpp:1755
 #9 ProjectExplorer::ProjectExplorerPlugin::openProjectWelcomePage at projectexplorer.cpp:1748

Comment 1 Jonas Kulla 2018-04-21 08:00:36 UTC
Created attachment 1424912 [details]
File: backtrace

Comment 2 Jonas Kulla 2018-04-21 08:00:37 UTC
Created attachment 1424913 [details]
File: cgroup

Comment 3 Jonas Kulla 2018-04-21 08:00:39 UTC
Created attachment 1424914 [details]
File: core_backtrace

Comment 4 Jonas Kulla 2018-04-21 08:00:40 UTC
Created attachment 1424915 [details]
File: cpuinfo

Comment 5 Jonas Kulla 2018-04-21 08:00:42 UTC
Created attachment 1424916 [details]
File: dso_list

Comment 6 Jonas Kulla 2018-04-21 08:00:43 UTC
Created attachment 1424917 [details]
File: environ

Comment 7 Jonas Kulla 2018-04-21 08:00:45 UTC
Created attachment 1424918 [details]
File: exploitable

Comment 8 Jonas Kulla 2018-04-21 08:00:46 UTC
Created attachment 1424919 [details]
File: limits

Comment 9 Jonas Kulla 2018-04-21 08:00:49 UTC
Created attachment 1424920 [details]
File: maps

Comment 10 Jonas Kulla 2018-04-21 08:00:50 UTC
Created attachment 1424921 [details]
File: mountinfo

Comment 11 Jonas Kulla 2018-04-21 08:00:52 UTC
Created attachment 1424922 [details]
File: open_fds

Comment 12 Jonas Kulla 2018-04-21 08:00:53 UTC
Created attachment 1424923 [details]
File: proc_pid_status

Comment 13 Ben Cotton 2018-11-27 16:05:10 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Ben Cotton 2018-11-30 21:09:31 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.